<?php 
class LSTVehiculo extends AppListado {
	
	public function init(){
		$this->setClase('Vehiculo');
		$this->setMetodo('lst_listado');
		$this->setCantidadPorPagina(array(50));

		$matricula = new CLMTexto('matricula', '$matricula#', 'Matr&iacute;cula');	
		$this->addColumna($matricula);
		$modelo = new CLMTexto('modelo', '$marca# $modelo#', 'Veh&iacute;culo');
		$this->addColumna($modelo);
		$actividad = new CLMTexto('actividad', '$actividadNombre#', 'Actividad');
		$this->addColumna($actividad);
		$color = new CLMTexto('color', '$colorNombre#', 'Color');
		$this->addColumna($color);
		$aņo = new CLMTexto('anyo', '$anyo#', 'A&ntilde;o');
		$this->addColumna($aņo);
		
		$numeroPlazas = new CLMTexto('numeroPlazas', '$numeroPlazas#', 'Nš Plazas');
		$this->addColumna($numeroPlazas);
		
		$valoresActivo = array('0'=>'NO','1'=>'SI',''=>'');
		$activo = new CLMMultiple('activo','$activo#','Activo',$valoresActivo);
		$this->addColumna($activo);
		
		$this->setBotonEditarVisible(true);
		$this->setBotonEditarUrl('/Wvehiculo/editar');
		$this->setBotonEditarUrlAddParametro('id', '$codigo#');
		
		$this->setBotonEliminarVisible(false);
		$this->setBotonEliminarUrl('/Wvehiculo/eliminar');
		$this->setBotonEliminarUrlAddParametro('id', '$codigo#');
		
	}
	
}
